org.apache.tomcat.websocket.server

## Class WsFrameServer

- java.lang.Object
- - org.apache.tomcat.websocket.WsFrameBase
  - - org.apache.tomcat.websocket.server.WsFrameServer

-     public class WsFrameServer
      extends WsFrameBase

- - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.websocket.WsFrameBase

      `inputBuffer, writePos, wsSession`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsFrameServer(AbstractServletInputStream sis, WsSession wsSession, Transformation transformation)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Log` | `getLog()`
    `protected Transformation` | `getTransformation()`
    `protected boolean` | `isMasked()`
    `void` | `onDataAvailable()` Called when there is data in the ServletInputStream to process.

    - ### Methods inherited from class org.apache.tomcat.websocket.WsFrameBase

      `byteArrayToLong, isOpen, processInputBuffer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WsFrameServer

          public WsFrameServer(AbstractServletInputStream sis,
                       WsSession wsSession,
                       Transformation transformation)

  - ### Method Detail

    - #### onDataAvailable

          public void onDataAvailable()
                               throws IOException

      Called when there is data in the ServletInputStream to process.
      Throws:
        `IOException`

    - #### isMasked

          protected boolean isMasked()

      Specified by:
        `isMasked` in class `WsFrameBase`

    - #### getTransformation

          protected Transformation getTransformation()

      Overrides:
        `getTransformation` in class `WsFrameBase`

    - #### getLog

          protected Log getLog()

      Specified by:
        `getLog` in class `WsFrameBase`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.